package com.gic.haoban.manage.web.vo.content.share;

import com.gic.haoban.manage.web.vo.content.ContentMaterialInfoVO;
import com.gic.haoban.manage.web.vo.content.MaterialClerkInfo;
import com.gic.haoban.manage.web.vo.content.SimpleGoodsInfoVO;

import java.io.Serializable;
import java.util.List;

/**
 * @Author MUSI
 * @Date 2023/3/17 12:45 PM
 * @Description
 * @Version
 * 素材落地页 信息
 **/
public class ContentMaterialLandingPageVO implements Serializable {

    private static final long serialVersionUID = 5618707014774433110L;

    /**
     * 素材信息 图片/视频、素材内容
     */
    private ContentMaterialInfoVO contentMaterialInfo;

    /**
     * 导购相关信息
     */
    private MaterialClerkInfo materialClerkInfo;

    /**
     * 商品信息
     */
    private List<SimpleGoodsInfoVO> goodsInfos;

    /**
     * 商品类型
     * 0 相关商品
     * 1 热销商品
     */
    private Integer showGoodsType;

    // 跳转商城按钮权限
    private Integer mallShop;

    /**
     * 购物车数量
     */
    private Integer shoppingCartNum;
}
